<h2>List of Heroes</h2>

<div>
        <label>Hero name:
          <input #heroName />
        </label>
        <!-- (click) passes input value to add() and then clears the input -->
        <button (click)="add(heroName.value); heroName.value=''">
          Add
        </button>
</div>

<ul class="heroes">
<li *ngFor="let hero of heroes" (click)="onSelect(hero)"> <a routerLink="/detail/{{hero.id}}"> <span class="badge">{{hero.id}}</span> {{hero.name}} </a><button class="delete" title="delete hero" (click)="delete(hero)">X</button></li>
</ul>